edu.sc.seis.sod.status.waveformArm

## Class WaveformEventTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.waveformArm.WaveformEventTemplate

- All Implemented Interfaces:
    SodElement, WaveformMonitor

      public class WaveformEventTemplate
      extends Template
      implements WaveformMonitor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WaveformEventTemplate.Writer`

  - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformEventTemplate(org.w3c.dom.Element el, java.lang.String baseDir, EventFormatter dirNameCreator, java.lang.String pageName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getOutputDirectory(edu.sc.seis.fissuresUtil.cache.CacheEvent ev)`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
    `void` | `update(edu.sc.seis.fissuresUtil.cache.CacheEvent ev, Status status)`
    `void` | `update(edu.sc.seis.fissuresUtil.cache.CacheEvent ev, java.lang.String outputDir, java.lang.String fileLoc)`
    `void` | `update(EventChannelPair ecp)`
    `void` | `update(EventNetworkPair ecp)`
    `void` | `update(EventStationPair ecp)`
    `void` | `update(EventVectorPair ecp)`

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaveformEventTemplate

          public WaveformEventTemplate(org.w3c.dom.Element el,
                                       java.lang.String baseDir,
                                       EventFormatter dirNameCreator,
                                       java.lang.String pageName)
                                throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getOutputDirectory

          public java.lang.String getOutputDirectory(edu.sc.seis.fissuresUtil.cache.CacheEvent ev)

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      Description copied from class: `Template`
      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### update

          public void update(edu.sc.seis.fissuresUtil.cache.CacheEvent ev,
                             Status status)

    - #### update

          public void update(EventNetworkPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventStationPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventChannelPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventVectorPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(edu.sc.seis.fissuresUtil.cache.CacheEvent ev,
                             java.lang.String outputDir,
                             java.lang.String fileLoc)

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)
                                          throws ConfigurationException

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `Template`
      Throws:
        `ConfigurationException`